import { CompiledResult, VueCompiledResult } from "../type/compile";
export declare class Compile {
    private files;
    private compiledFiles;
    constructor(files: Record<string, ArrayBuffer>);
    /**
     * 指定入口文件开始解析
     */
    parse(filePath: string): Record<string, CompiledResult | VueCompiledResult>;
    /**
     * 根据文件路径解析代码
     * @param filePath
     */
    private compile;
}
